Bug 141333 - Mouse wheel scroll slow in Font Features
Summary: Mouse wheel scroll slow in Font Features
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2021-03-29 23:13 UTC by medmedin2014
Modified: 2021-04-03 08:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
EB Garamond (2.73 MB, application/gzip)
2021-03-29 23:13 UTC, medmedin2014
Details

Note You need to log in before you can comment on or make changes to this bug.
Description medmedin2014 2021-03-29 23:13:51 UTC
Created attachment 170818 [details]
EB Garamond

When you open Font Features window (Character>Font>Features) and scroll down/up using mouse wheel it's too much slower than the speed of scrolling in other parts of Writer (e.g Font list).
Try with the attached font that has many otf features to have long list in Font Features window.

Operating System: Manjaro Linux
KDE Plasma Version: 5.21.3
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
Kernel Version: 5.4.105-1-MANJARO
OS Type: 64-bit
Graphics Platform: X11

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 4566bcbf03c1b7b0c1ce3a83fee1d195f0ff7059
CPU threads: 2; OS: Linux 5.11; UI render: default; VCL: kf5
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-03-22_14:46:06
Calc: threaded
Comment 1 Roman Kuznetsov 2021-03-30 11:04:02 UTC
Confirm in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 78c33a4c3d1633b97049874305b3b49b820395a2
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: threaded

Caolan, may be you could increase a mouse wheel scrolling speed in this case as you made it for Conditional formatting dialog?
Comment 2 Caolán McNamara 2021-04-01 15:59:01 UTC
https://gerrit.libreoffice.org/c/core/+/113465 is my effort for this
Comment 3 Commit Notification 2021-04-01 20:01:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6e09d59a503e98f97dea406bb3c2c703edf92d8e

tdf#141333 use a vertical step increment of one row height

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Roman Kuznetsov 2021-04-03 08:51:23 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 465b8b0e9ad4b0c9c7701dee2820a99c5d00b5bf
CPU threads: 4; OS: Linux 5.5; UI render: default; VCL: kf5
Locale: ru-RU (ru_RU.UTF-8); UI: ru-RU
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-04-01_23:47:59
Calc: threaded Jumbo

Thanks, Caolan!